Bug 596425 (CVE-2010-1401)

Summary: CVE-2010-1401 WebKit: use-after-free vulnerability in handling of the ':first-letter' pseudo-element in CSS (ZDI-CAN-689)
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: jgrulich, jlieskov, jreznik, security-response-team, stransky, than
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20100607,reported=20100521,source=apple,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,fedora-all/webkitgtk=affected,fedora-all/qt=affected,rhel-6/webkitgtk=wontfix,rhel-6/qt=wontfix,cwe=CWE-416[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-05 08:15:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 806808    

Description Vincent Danen 2010-05-26 18:15:30 UTC
A use after free issue exists in WebKit's handling of the ':first-letter' pseudo-element in cascading stylesheets. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved handling of the ':first-letter' pseudo-element.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=35353
Trac: http://trac.webkit.org/changeset/55196

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges wushi of team509, working with TippingPoint's Zero Day Initiative as the original reporter.

Comment 4 Jan Lieskovsky 2010-06-08 16:36:26 UTC
Public via:
  [1] http://support.apple.com/kb/HT4196